# cAssetLimits

**POST api/cAssetLimits**

{% tabs %}
{% tab title="Payload" %}

```
{}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [
        1,            // Counterparty id
        "BTC",        // Asset name
        100000000,    // Long position limit, may be null
        200000000,    // Short position limit, may be null
        "BTC",        // Limit currency
        null,         // CP's long position limit, may be null
        null,         // CP's short position limit, may be null
        null,         // CP's gross limit currency
    ],
    [
        1,            // Counterparty id
        "USD",        // Asset name
        15000000000,  // Long position limit, may be null
        20000000000,  // Short position limit, may be null
        "EUR",        // Limit currency
        12000000000,  // CP's long position limit, may be null
        null,         // CP's short position limit, may be null
        null,         // CP's gross limit currency
    ],
    [
        2,            // Counterparty id
        "BTC",        // Asset name
        100000000,    // Long position limit, may be null
        0,            // Short position limit, may be null
        "BTC",        // Limit currency
        15000000000,  // CP's long position limit, may be null
        15000000000,  // CP's short position limit, may be null
        "USD",        // CP's gross limit currency
    ]
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name     | Type          | Description                                                                                                                                                                                                                                                                 |
| -------------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| counterpartyId | Efx::ClientId | <p><em>Optional</em>. Returns limits by asset for specified counterparty.<br>Returns limits by asset for all counterparties otherwise.</p>                                                                                                                                  |
| filter         | string        | <p><em>Optional</em> <em>field</em> for master accounts only (FM Liquidity Match).<br>- absent or "all": returns all asset limits<br>- "subaccounts": returns all asset limits with sub-accounts<br>- "external": returns all asset limits with external counterparties</p> |

**Response description**

| Field name      | Type                  | Description                                  |
| --------------- | --------------------- | -------------------------------------------- |
|                 | Array of cAssetLimits | Array of counterparty asset limits           |
| **cAssetLimit** | Array\[6]             |                                              |
| 0               | Efx::ClientId         | Counterparty Id                              |
| 1               | string                | Asset for which the limit is set             |
| 2               | Efx::Size \| null     | Your limit on counterparty's long position   |
| 3               | Efx::Size \| null     | Your limit on counterparty's  short position |
| 4               | string                | Limit value currency                         |
| 5               | Efx::Size \| null     | Counterparty’s limit on your long position   |
| 6               | Efx::Size \| null     | Counterparty’s limit on your short position  |
| 7               | string                | CP’s limit value currency. May be null.      |

{% hint style="info" %}
The gross limit exposure per asset equals to absolute value of the asset position against any given counterparty.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/risk-management/cassetlimits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
